Bug 1643756 - glibc-all-langpacks does not appear to contain Esperanto
Summary: glibc-all-langpacks does not appear to contain Esperanto
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1644303
TreeView+ depends on / blocked
 
Reported: 2018-10-28 12:53 UTC by Carmen Bianca Bakker
Modified: 2019-04-21 10:44 UTC (History)
12 users (show)

Fixed In Version: glibc-2.28.9000-13.fc30 glibc-2.28-17.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1644303 (view as bug list)
Environment:
Last Closed: 2019-04-21 10:44:31 UTC


Attachments (Terms of Use)

Description Carmen Bianca Bakker 2018-10-28 12:53:40 UTC
Description of problem: I am trying to make Fedora available in Esperanto.  When I do `locale -a`, the `eo.utf8` locale is not available.  It only becomes available when I install `glibc-langpack-eo`, which does not appear to be necessary for other languages.


Version-Release number of selected component (if applicable): Fedora 29


How reproducible:


Steps to Reproduce:
1. Run `locale -a`. Esperanto is unavailable.
2. Install `glibc-langpack-eo`
3. Run `locale -a`. Esperanto is available.

Actual results:

Esperanto is unavailable by default.

Expected results:

Esperanto is available by default.

Additional info:

This may be because Esperanto is the only locale without region.  A normal locale looks like "nl_NL.utf8", whereas Esperanto has "eo.utf8".

Comment 1 Mike FABIAN 2018-10-30 12:25:30 UTC
This small change to the glibc.spec file fixes the problem:

$ git diff 
diff --git a/glibc.spec b/glibc.spec
index f381ba5..08779ee 100644
--- a/glibc.spec
+++ b/glibc.spec
@@ -1032,7 +1032,7 @@ $olddir/build-%{target}/elf/ld.so \
         --library-path $olddir/build-%{target}/ \
         $olddir/build-%{target}/locale/localedef \
         --prefix %{glibc_sysroot} --add-to-archive \
-        *_*
+        eo *_*
 # Setup the locale-archive template for use by glibc-all-langpacks.
 mv locale-archive{,.tmpl}
 # Create the file lists for the language specific sub-packages:
lines 1-13/13 (END)

Comment 2 Florian Weimer 2018-10-30 12:30:46 UTC
(In reply to Mike FABIAN from comment #1)
> This small change to the glibc.spec file fixes the problem:
> 
> $ git diff 
> diff --git a/glibc.spec b/glibc.spec
> index f381ba5..08779ee 100644
> --- a/glibc.spec
> +++ b/glibc.spec
> @@ -1032,7 +1032,7 @@ $olddir/build-%{target}/elf/ld.so \
>          --library-path $olddir/build-%{target}/ \
>          $olddir/build-%{target}/locale/localedef \
>          --prefix %{glibc_sysroot} --add-to-archive \
> -        *_*
> +        eo *_*
>  # Setup the locale-archive template for use by glibc-all-langpacks.
>  mv locale-archive{,.tmpl}
>  # Create the file lists for the language specific sub-packages:

I agree, this is exactly the change I expected.  Please note that Fedora 29 glibc is in freeze indefinitely.  I will try to get an exception for this change.

Comment 3 Carlos O'Donell 2018-10-30 14:22:47 UTC
(In reply to Florian Weimer from comment #2)
> (In reply to Mike FABIAN from comment #1)
> > This small change to the glibc.spec file fixes the problem:
> > 
> > $ git diff 
> > diff --git a/glibc.spec b/glibc.spec
> > index f381ba5..08779ee 100644
> > --- a/glibc.spec
> > +++ b/glibc.spec
> > @@ -1032,7 +1032,7 @@ $olddir/build-%{target}/elf/ld.so \
> >          --library-path $olddir/build-%{target}/ \
> >          $olddir/build-%{target}/locale/localedef \
> >          --prefix %{glibc_sysroot} --add-to-archive \
> > -        *_*
> > +        eo *_*
> >  # Setup the locale-archive template for use by glibc-all-langpacks.
> >  mv locale-archive{,.tmpl}
> >  # Create the file lists for the language specific sub-packages:
> 
> I agree, this is exactly the change I expected.  Please note that Fedora 29
> glibc is in freeze indefinitely.  I will try to get an exception for this
> change.

Should we just wait for F29 to release? I goes out the door today in the next couple of hours. We can release a bodhi update with the new eo locale.

Comment 4 Carmen Bianca Bakker 2018-10-30 14:25:20 UTC
(In reply to Carlos O'Donell from comment #3)
> Should we just wait for F29 to release? I goes out the door today in the
> next couple of hours. We can release a bodhi update with the new eo locale.

Fedora 29 has just been released :-)  Happy days!

Comment 6 Fedora Update System 2018-11-03 07:00:59 UTC
glibc-2.28-17.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e5874aba9

Comment 7 Fedora Update System 2018-11-04 06:38:22 UTC
glibc-2.28-17.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0e5874aba9

Comment 8 Fedora Update System 2018-11-07 02:40:41 UTC
glibc-2.28-17.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Florian Weimer 2018-11-07 11:59:41 UTC
I want to backport this to further Fedora releases.

Comment 10 Zbigniew Jędrzejewski-Szmek 2019-04-21 10:44:31 UTC
F28 is going EOL soon, let's close this.


Note You need to log in before you can comment on or make changes to this bug.